// *************************************************************** //
// Filename:    app.cpp                                            //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#include "MDIMenu.h"

// --------------------------------------------------------------- //
// Application constructor                                         //
// --------------------------------------------------------------- //
TMDIMenuApp::TMDIMenuApp() : 
  TApplication() 
{
}

// --------------------------------------------------------------- //
// Application destructor                                          //
// --------------------------------------------------------------- //
TMDIMenuApp::~TMDIMenuApp()
{
}

// --------------------------------------------------------------- //
// InitMainWindow                                                  //
// --------------------------------------------------------------- //
void TMDIMenuApp::InitMainWindow()
{
  SetMainWindow(new TMDIFrame(GetName(), "MDIMenu", *new TMDIMenuClient));
  TMenuDescr menuDescr("MDIMenu", 1, 1, 0, 0, 1, 1);
  GetMainWindow()->SetMenuDescr(menuDescr);
}

// --------------------------------------------------------------- //
// OwlMain                                                         //
// --------------------------------------------------------------- //
int OwlMain(int /*argc*/, char* /*argv*/ [])
{
  TMDIMenuApp app;
  return app.Run();
}

