// *************************************************************** //
// Filename:    MDIMenu.cpp                                        //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //
#include "MDIMenu.h"

// --------------------------------------------------------------- //
// MDIMenuChild constructor                                        //
// --------------------------------------------------------------- //
TMDIMenuChild::TMDIMenuChild(TMDIClient &parent, 
  const char far *title, TWindow *clientWnd, 
  BOOL shrinkToClient, TModule *module) :
  TMDIChild(parent, title, clientWnd, shrinkToClient, module)
{
  TMenuDescr menuDescr("ObjectMenu", 0, 0, 0, 1, 0, 0);
  SetMenuDescr(menuDescr);
}

// --------------------------------------------------------------- //
// MDIMenuChild destructor                                         //
// --------------------------------------------------------------- //
TMDIMenuChild::~TMDIMenuChild()
{
}

// --------------------------------------------------------------- //
// GetClassName                                                    //
// --------------------------------------------------------------- //
char *TMDIMenuChild::GetClassName()
{
  return "MDIMenuChild";
}

// --------------------------------------------------------------- //
// GetWindowClass                                                  //
// --------------------------------------------------------------- //
void TMDIMenuChild::GetWindowClass(WNDCLASS &wc)
{
  TMDIChild::GetWindowClass(wc);
  wc.hbrBackground = (HBRUSH)GetStockObject(LTGRAY_BRUSH);
}

// --------------------------------------------------------------- //
// SetupWindow                                                     //
// --------------------------------------------------------------- //
void TMDIMenuChild::SetupWindow()
{
  TMDIChild::SetupWindow();
  // put new stuff here
}

// --------------------------------------------------------------- //
// CleanupWindow                                                   //
// --------------------------------------------------------------- //
void TMDIMenuChild::CleanupWindow()
{
  // put new stuff here
  TMDIChild::CleanupWindow();
}

// --------------------------------------------------------------- //
// Response table for MDIMenuChild                                 //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TMDIMenuChild, TMDIChild)
  EV_COMMAND(CM_TRYME, CmTryMe),
END_RESPONSE_TABLE;


// --------------------------------------------------------------- //
// TryMe                                                           //
// --------------------------------------------------------------- //
void TMDIMenuChild::CmTryMe()
{
  MessageBox("Thank you for selecting me", "Thanks", MB_OK);
}
